‫ آسيب‌پذيري Ghost، خطري جدي براي سيستم‌هاي لينوكس

شماره: IRCNE2015012413
تاريخ: 08/11/93
 
يك خطا در يك جزء بسيار معمول اغلب توزيع‌هاي لينوكس مي‌تواند به مهاجم اجازه دهد كه كنترل راه دور يك سيستم را پس از ارسال يك ايميل خرابكار در دست بگيرد.
به گزارش شركت امنيتي Qualys كه اين مسأله را روز سه‌شنبه كه بسياري از توزيع‌هاي لينوكس اصلاحيه دريافت كردند افشا كرد، اين آسيب‌پذيري كه Ghost نام گرفته است، در كتابخانه GNU C كه تحت عنوان glibc شناخته مي‌شود قرار دارد. Glibc يك كتابخانه C است كه فراخواني‌هاي سيستم را تعريف مي‌كند.
Red Hat، Debian، Ubuntu و Novell، ترميم دريافت كرده‌اند. به مديران سيستم‌ها توصيه شده است كه در اولين فرصت ممكن اصلاحيه‌ها را اعمال نمايند.
اين نقص نخستين بار در سال 2000 در glibc ظاهر شد. به گفته Qualys، در حقيقت اين آسيب‌پذيري در 21 مي 2013 و بين نسخه‌هاي 2.17 و 2.18 اصلاح شده بود. ولي در آن زمان اين نقص به عنوان يك خطر امنيتي شناسايي نشد. در نتيجه اغلب توزيع‌هاي لينوكس از جمله Debian 7، Red Hat Enterprise Linux نسخه‌هاي 6 و 7، CentOS نسخه‌هاي 6 و 7 و Ubuntu 12.04 بلافاصله اصلاح نشدند.
Qualys اين مشكل را در طول يك مميزي كد كشف كرد. هنوز مشخص نيست كه آيا مهاجمان از اين آسيب‌پذيري پيش از كشف آن سوء استفاده كرده‌اند يا خير.
نقص امنيتي Glibc يك سرريز بافر است كه مي‌تواند به صورت محلي و يا از راه دور در تابع gethostbyname فعال گردد.
تحليلگران Qualys يك كد سوء استفاده توليد كرده‌اند كه از طريق آن يك ايميل دستكاري شده خاص به يك ميل سرور Exim كه نسخه آسيب‌پذير glibc را اجرا مي‌كند ارسال مي‌گردد و يك ارتباط راه دور remote shell كه كنترل كامل دارد را در اختيار آنها قرار مي‌دهد.
Qualys زماني اين آسيب‌پذيري را افشا كرده است كه بيش از نيمي از سيستم‌هاي لينوكس، اصلاحيه مربوطه را نصب كرده‌اند.

نظرات

بدون نظر
شما برای نظر دادن باید وارد شوید

نوشته

 
تاریخ ایجاد: 8 بهمن 1393

دسته‌ها

امتیاز

امتیاز شما
تعداد امتیازها:0